FROM mcr.microsoft.com/devcontainers/go:2-1.25-trixie

# PostgreSQL-Client installieren
RUN apt-get update && apt-get install -y postgresql-client \
    && rm -rf /var/lib/apt/lists/*

# Node.js 24 (LTS) installieren – ohne Yarn-Repo
RUN curl -fsSL https://deb.nodesource.com/setup_24.x | sed '/yarnpkg/d' | bash - \
    && apt-get update \
    && apt-get install -y nodejs \
    && rm -rf /var/lib/apt/lists/*